# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/tranmerc/TransverseMercator.cpp File Reference

`#include <math.h>`
`#include "TransverseMercator.h"`
`#include "MapProjection5Parameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "WarningMessages.h"`

Go to the source code of this file.

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = (PI/2.0e0)
const double | MAX_LAT = ((PI * 89.99)/180.0)
const double | MAX_DELTA_LONG = ((PI * 90)/180.0)
const double | MIN_SCALE_FACTOR = 0.3
const double | MAX_SCALE_FACTOR = 3.0

## Variable Documentation

const double MAX_DELTA_LONG = ((PI * 90)/180.0)

Definition at line 119 of file TransverseMercator.cpp.

const double MAX_LAT = ((PI * 89.99)/180.0)

Definition at line 118 of file TransverseMercator.cpp.

const double MAX_SCALE_FACTOR = 3.0

Definition at line 121 of file TransverseMercator.cpp.

const double MIN_SCALE_FACTOR = 0.3

Definition at line 120 of file TransverseMercator.cpp.

const double PI = 3.14159265358979323e0

Definition at line 116 of file TransverseMercator.cpp.

const double PI_OVER_2 = (PI/2.0e0)

Definition at line 117 of file TransverseMercator.cpp.